bdi4jade.goal

## Class SequentialGoal

- java.lang.Object
- - bdi4jade.goal.CompositeGoal
  - - bdi4jade.goal.SequentialGoal

- All Implemented Interfaces:
    Goal, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class SequentialGoal
      extends CompositeGoal

  This class represents a goal that aims at achieving all goals that compose this goal in a sequential way.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.goal.CompositeGoal

      `completedGoals, failedGoal, goals`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequentialGoal(Goal[] goals)` Creates a new SequentialGoal.
    `SequentialGoal(java.util.List<Goal> goals)` Creates a new SequentialGoal.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Collection<Goal>` | `createGoals(int size)` Creates an instance of the collection that holds the goals of this composite goal.

    - ### Methods inherited from class bdi4jade.goal.CompositeGoal

      `getCompletedGoals, getFailedGoal, getGoals, setCompletedGoals, setFailedGoal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequentialGoal

          public SequentialGoal(Goal[] goals)

      Creates a new SequentialGoal.
      Parameters:
        `goals` - the goals that compose this goal.
      See Also:
        `CompositeGoal.CompositeGoal(Goal[])`

    - #### SequentialGoal

          public SequentialGoal(java.util.List<Goal> goals)

      Creates a new SequentialGoal.
      Parameters:
        `goals` - the goals that compose this goal.
      See Also:
        `CompositeGoal.CompositeGoal(Collection)`

  - ### Method Detail

    - #### createGoals

          protected java.util.Collection<Goal> createGoals(int size)

      Description copied from class: `CompositeGoal`
      Creates an instance of the collection that holds the goals of this composite goal.
      Specified by:
        `createGoals` in class `CompositeGoal`
      Parameters:
        `size` - the size of the collection.
      Returns:
        the collection.
      See Also:
        `CompositeGoal.createGoals(int)`